#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         Matwachich

 Script Function:
	UDF permettant de faciliter la cration de scripts multi-langues

#ce ----------------------------------------------------------------------------

Global $__MLng_CurrentLangFile = "", $__MLng_CurrentLangName = ""
Global $__MLng_Array[1][2] = [[0,""]]

; ---

Func _MLng_SetLangFile($sPath, $sLangName = Default)
	If Not FileExists($sPath) Then Return SetError(1, 0, 0)
	; ---
	$__MLng_CurrentLangFile = $sPath
	If $sLangName <> Default Then 
		Return _MLng_LangLoad($sLangName)
	Else
		Return 1
	EndIf
EndFunc

Func _MLng_LangLoad($sLangName)
	If Not StringInStr(_MLng_LangList($__MLng_CurrentLangFile, 1), $sLangName) Then Return SetError(1, 0, 0)
	; ---
	$__MLng_CurrentLangName = $sLangName
	$__MLng_Array = IniReadSection($__MLng_CurrentLangFile, $__MLng_CurrentLangName)
	; ---
	Return 1
EndFunc

Func _MLng_Get($sEntry)
	For $i = 1 To $__MLng_Array[0][0]
		If $__MLng_Array[$i][0] = $sEntry Then Return $__MLng_Array[$i][1]
	Next
	; ---
	Return "Error - Check Language File"
EndFunc

Func _MLng_LangList($sPath = Default, $Str = 0) ; 0- ret array, 1- ret | str
	If $sPath = Default Then $sPath = $__MLng_CurrentLangFile
	If $__MLng_CurrentLangFile = "" Or Not FileExists($__MLng_CurrentLangFile) Then Return SetError(1, 0, 0)
	; ---
	Local $ret = IniReadSectionNames($sPath)
	If @error Then Return SetError(2, 0, 0)
	; ---
	If $Str Then
		Local $retStr = ""
		For $i = 1 To $ret[0]
			$retStr &= $ret[$i] & "|"
		Next
		Return StringTrimRight($retStr, 1)
	Else
		Return $ret
	EndIf
EndFunc